<?php

    namespace FederationLib\Enums;

    use FederationLib\Classes\CommandApplets\DateCommand;
    use FederationLib\Classes\CommandApplets\HostnameCommand;
    use FederationLib\Classes\CommandApplets\WhoamiCommand;

    final class CommandApplets
    {
        const WHOAMI = [WhoamiCommand::class, 'whoami'];

        const HOSTNAME = [HostnameCommand::class, 'hostname'];

        const DATE = [DateCommand::class, 'date'];

        const ALL = [
            self::WHOAMI,
            self::HOSTNAME,
            self::DATE
        ];
    }