<?php

    namespace FederationLib\Exceptions\Standard;

    use Exception;
    use Throwable;

    class PeerNotFoundException extends Exception
    {
        /**
         * PeerNotFoundException constructor.
         *
         * @param string $peer
         * @param Throwable|null $previous
         */
        public function __construct(string $peer, ?Throwable $previous = null)
        {
            parent::__construct("The peer '{$peer}' was not found", 0, $previous);
        }
    }